
function Person( item, aDay, aMonth, aYear) 
{	
	if( item.LastName != undefined )	
        this.lastName = item.LastName.Value;
		
	if( item.FirstName != undefined )	
        this.firstName = item.FirstName.Value;
		
	if( item.CompanyName != undefined )	
        this.companyName = item.CompanyName.Value;
		
    this.day   = aDay;
    this.month = aMonth;
    this.year  = aYear;
}

Person.prototype.lastName    = null;
Person.prototype.firstName   = null;
Person.prototype.companyName = null;
Person.prototype.year        = null;
Person.prototype.month       = null;
Person.prototype.day         = null;
Person.prototype.w           = null;
Person.prototype.age         = null;



Person.prototype.personTitle = function( x ) 
{ 
   var result = "";
   
    if( x == "0" )
    {
          if( this.lastName != null )
              result = this.lastName  + " ";
          if( this.firstName != null )
              result += this.firstName;          
    }  else if( x == "1" )
       {
          if( this.firstName != null )
              result = this.firstName + " ";
          if( this.lastName != null )
              result += this.lastName;
       }  
   
   if( result == "" )
       result = this.companyName;

   return result;
}

Person.prototype.birthDay = function( x ) 
{ 
    var result = "";
    if( x == "0" ) // dd.mm.yyyy
    {
         result = (this.day < 10 ? ("0" + this.day) : this.day) + "." +
				  (this.month < 9 ? ("0" + (this.month + 1)) : (this.month + 1)) + "." +
				   this.year;
    }  else if( x == "1" ) // mm.dd.yyyy
       {
          result = ( this.month < 9 ? (  "0" + ( this.month + 1 ) ) : ( this.month + 1 ) ) + "." + 
                   ( this.day   < 10 ? ( "0" + this.day       ) : this.day   ) + "." +                   
                     this.year; 
       } 
	   else if( x == "2" )// yyy.mm.dd
       {
          result =   this.year + "." +
                   ( this.month < 9 ? (  "0" + (this.month + 1) ) : ( this.month + 1 ) ) + "." + 
                   ( this.day   < 10 ? ( "0" + this.day       ) : this.day   );                  
                     
       }  
       
   return result;
}

Person.prototype.calcW = function(aDay, aMonth, aYear)
{
		
	var aCount = getDaysCount( aDay, aMonth, aYear ),         //       
	     count = getDaysCount( this.day, this.month, aYear ); //       
		 		 			 
    if( aCount == count )
	    this.w = 0;
    else if( count > aCount )
	     	this.w = count - aCount;
		else
		{
			var tmp = getDaysCount( 31, 11, aYear ) - aCount;
			this.w = tmp + count;
		}
		
   // age
   this.age = aYear - this.year;
   var x = new Date( aYear, this.month, this.day ),
       y = new Date( aYear, aMonth, aDay );
	   
   if( y.getTime() < x.getTime())
       this.age = this.age - 1; 	    	 				 	

   if( this.age < 0 )
       this.age = 0;
} 


